Package com.microsoft.sqlserver.jdbc

## Enum InternalSpatialDatatype

- java.lang.Object
- - java.lang.Enum<InternalSpatialDatatype>
  - - com.microsoft.sqlserver.jdbc.InternalSpatialDatatype

All Implemented Interfaces:
  `Serializable`, `Comparable<InternalSpatialDatatype>`

    public enum InternalSpatialDatatype
    extends Enum<InternalSpatialDatatype>

### Enum Constant Summary

Enum Constants
`CIRCULARSTRING`
`COMPOUNDCURVE`
`CURVEPOLYGON`
`FULLGLOBE`
`GEOMETRYCOLLECTION`
`INVALID_TYPE`
`LINESTRING`
`MULTILINESTRING`
`MULTIPOINT`
`MULTIPOLYGON`
`POINT`
`POLYGON`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`byte` `getTypeCode​()`
`String` `getTypeName​()`
`static InternalSpatialDatatype` `valueOf​(byte typeCode)` Returns the enum constant of this type with the specified name.
`static InternalSpatialDatatype` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static InternalSpatialDatatype[]` `values​()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### POINT

    public static final InternalSpatialDatatype POINT

#### LINESTRING

    public static final InternalSpatialDatatype LINESTRING

#### POLYGON

    public static final InternalSpatialDatatype POLYGON

#### MULTIPOINT

    public static final InternalSpatialDatatype MULTIPOINT

#### MULTILINESTRING

    public static final InternalSpatialDatatype MULTILINESTRING

#### MULTIPOLYGON

    public static final InternalSpatialDatatype MULTIPOLYGON

#### GEOMETRYCOLLECTION

    public static final InternalSpatialDatatype GEOMETRYCOLLECTION

#### CIRCULARSTRING

    public static final InternalSpatialDatatype CIRCULARSTRING

#### COMPOUNDCURVE

    public static final InternalSpatialDatatype COMPOUNDCURVE

#### CURVEPOLYGON

    public static final InternalSpatialDatatype CURVEPOLYGON

#### FULLGLOBE

    public static final InternalSpatialDatatype FULLGLOBE

#### INVALID_TYPE

    public static final InternalSpatialDatatype INVALID_TYPE

### Method Detail

#### values

    public static InternalSpatialDatatype[] values​()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (InternalSpatialDatatype c : InternalSpatialDatatype.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static InternalSpatialDatatype valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getTypeCode

    public byte getTypeCode​()

#### getTypeName

    public String getTypeName​()

#### valueOf

    public static InternalSpatialDatatype valueOf​(byte typeCode)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `typeCode` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null